org.apache.activemq.artemis.jms.transaction

## Class JMSTransactionDetail

- java.lang.Object
- - org.apache.activemq.artemis.core.transaction.TransactionDetail
  - - org.apache.activemq.artemis.jms.transaction.JMSTransactionDetail

-     public class JMSTransactionDetail
      extends org.apache.activemq.artemis.core.transaction.TransactionDetail

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.core.transaction.TransactionDetail

      `KEY_CREATION_TIME, KEY_MSG_BODY_BUFFER, KEY_MSG_OP_TYPE, KEY_MSG_PROPERTIES, KEY_MSG_TYPE, KEY_TX_RELATED_MESSAGES, KEY_XID_AS_BASE64, KEY_XID_BRANCH_QUAL, KEY_XID_FORMAT_ID, KEY_XID_GLOBAL_TXID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSTransactionDetail(Xid xid, org.apache.activemq.artemis.core.transaction.Transaction tx, Long creation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `decodeMessageProperties(org.apache.activemq.artemis.core.server.ServerMessage msg)`
    `String` | `decodeMessageType(org.apache.activemq.artemis.core.server.ServerMessage msg)`

    - ### Methods inherited from class org.apache.activemq.artemis.core.transaction.TransactionDetail

      `toJSON`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSTransactionDetail

          public JMSTransactionDetail(Xid xid,
                                      org.apache.activemq.artemis.core.transaction.Transaction tx,
                                      Long creation)
                               throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### decodeMessageType

          public String decodeMessageType(org.apache.activemq.artemis.core.server.ServerMessage msg)

      Specified by:
        `decodeMessageType` in class `org.apache.activemq.artemis.core.transaction.TransactionDetail`

    - #### decodeMessageProperties

          public Map<String,Object> decodeMessageProperties(org.apache.activemq.artemis.core.server.ServerMessage msg)

      Specified by:
        `decodeMessageProperties` in class `org.apache.activemq.artemis.core.transaction.TransactionDetail`

Copyright © 2017 The Apache Software Foundation. All rights reserved.